# $Revision: 1.10 $, $Date: 2002/08/14 23:37:30 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	General
Summary:	Config::General - Generic Config Module
Summary(pl):	Config::General - ogly modu konfiguracji
Name:		perl-Config-General
Version:	1.36
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%description -l pl
Ten modu otwiera plik konfiguracyjny i analizuje jego zawarto.
Metoda new wymaga jednego parametru, ktrym musi by nazwa pliku.
Metoda getall zwraca hasza zawierajcego wszystkie opcje i zwizane
z nimi wartoci z pliku konfiguracyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_sitelib}/Config/General.pm
%{perl_sitelib}/Config/General
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Config-General.spec,v $
Revision 1.10  2002/08/14 23:37:30  qboosh
- pl description, release 4

Revision 1.9  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.8  2002/07/24 00:15:57  ankry
- translations, cleaning
- %%dir %{perl_sitelib}/Config moved to perl
- release 2

Revision 1.7  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.6  2002/07/11 07:57:41  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/03/07 16:07:44  kloczek
- add %%{perl_sitelib}/Config directory also to package.

Revision 1.2  2002/03/07 13:37:38  grzegorz
- rel 1

Revision 1.1  2002/03/07 13:35:13  grzegorz
- PLD initial spec
